## DBM Options

### Use

When you call the Database Manager CLI, you can enter various DBM options and exactly one DBM command.

You can enter parameters for many of the DBM options. If you do not specify a parameter, the default values are used.

If you enter DBM options with parameters, you must mark the beginning of the following DBM command with the DBM option –c. In this way you prevent the Database Manager from interpreting the subsequent DBM command as a parameter of the previously entered DBM option.

See also:

Calling the Database Manager CLI

### Features

You can use the following DBM options:

Option | Description
-c | Indicating as DBM command
-d | Name of database instance
-e | Activating encryption
-i | -ic | -is | -ics | Name of the input script
-n | Name of the database computer
-o | Name of the output file
-R | Installation directory of the database instance
-t | Name of the log file
-uSQL | Opening an SQL session
-uSRV | Opening a service session
-uUTL | Opening a utility session
-ud | Deleting XUSER entries
-uk | User key
-us | Creating or changing XUSER entries
-ux | Logging on to the XUSER program
-ul | Displaying XUSER data

### Example

Log on to the Database Manager CLI as operator OLEG with password MONDAY, connect to the DEMODB database instance, display the contents of the users database system table without explicitly specifying a database user.

You mark the beginning of the DBM command with the option –c. The default value (database system administrator) is used for the database user.

dbmcli -u OLEG,MONDAY -d DEMODB -uSQL –c db_execute SELECT * FROM users

OK
END

'OLEG';'';'OLEG';'ADMIN';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050602';'0

0104503';'20050602';'00104503';'20050602';'00104503';'DEMODB';'p59963.dhcp.ber.s

ap.corp';0;'NO';(null)

'DBADMIN';'';'DBSERVICE';'DBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'200506

02';'00104508';'20050602';'00104508';'20050602';'00104508';'DEMODB';'p59963.dhcp

.ber.sap.corp';6;'YES';(null)

'DBADMIN';'';'DBADMIN';'SYSDBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050

602';'00104503';'20050602';'00104506';'20050602';'00104503';'DEMODB';'p59963.dhc

p.ber.sap.corp';10;'NO';(null)

'DBADMIN';'';'MONA';'DBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050602';'

00104523';'20050602';'00104523';'20050602';'00104523';'DEMODB';'p59963.dhcp.ber.

sap.corp';24;'NO';(null)